# file_preproc.hh File Reference

## Detailed Description

Preprocessing of the OFX files before parsing.

Implements the pre-treatement of the OFX file prior to parsing: OFX header striping, OFX proprietary tags and SGML comment striping, locating the appropriate DTD.

Definition in file file_preproc.hh.

Go to the source code of this file.

## Functions

enum LibofxFileFormat | libofx_detect_file_type (const char *p_filename)
| libofx_detect_file_type tries to analyze a file to determine it's format.

## Function Documentation

enum LibofxFileFormat libofx_detect_file_type | ( | const char * | p_filename | ) |

libofx_detect_file_type tries to analyze a file to determine it's format.

Parameters:

  | p_filename | File name of the file to process

Returns:
  Detected file format, UNKNOWN if unsuccessfull.

Definition at line 99 of file file_preproc.cpp.